// Toggle mobile menu
function toggleMenu() {
    var menu = document.querySelector('.menu');
    menu.classList.toggle('active');
}

// Function to toggle dropdown content
function toggleDropdown(e) {
    e.stopPropagation(); // Prevents the menu from closing when clicking on the dropdown

    // Toggle the visibility of the dropdown content directly associated with this toggle
    var dropdownContent = e.target.nextElementSibling;
    if (dropdownContent.classList.contains('menu-dropdown-content')) {
        dropdownContent.classList.toggle('show');
    }
}

// Attach event listener for 'Commands' toggle
document.querySelector('.commands').addEventListener('click', toggleDropdown);

// Close dropdown and menu when clicking on an item inside it
document.querySelectorAll('.menu-dropdown-content a').forEach(item => {
    item.addEventListener('click', function () {
        var dropdownContent = this.closest('.menu-dropdown-content');
        dropdownContent.classList.remove('show');
        // Close the entire menu
        var menu = document.querySelector('.menu');
        menu.classList.remove('active');
    });
});

// Smooth scrolling to anchor links with offset
document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
        e.preventDefault();
        var targetElement = document.querySelector(this.getAttribute('href'));
        var headerOffset = 60; // Adjust this value according to your fixed header height
        var elementPosition = targetElement.getBoundingClientRect().top;
        var offsetPosition = elementPosition + window.pageYOffset - headerOffset;

        window.scrollTo({
            top: offsetPosition,
            behavior: 'smooth'
        });

        // Close the entire menu
        var menu = document.querySelector('.menu');
        menu.classList.remove('active');
    });
});

// Scroll to top button
function goToTop() {
    window.scrollTo({
        top: 0,
        behavior: 'smooth'
    });
}

window.onscroll = function() {
    scrollFunction();
};

function scrollFunction() {
    var topButton = document.getElementById("topButton");
    if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
        topButton.style.display = "block";
    } else {
        topButton.style.display = "none";
    }
}

function openOverlay(imageSrc) {
    document.getElementById('overlay').style.display = 'block';
    document.getElementById('overlay-img').src = imageSrc;
}

function closeOverlay() {
    document.getElementById('overlay').style.display = 'none';
}

document.querySelector('.close-btn').addEventListener('click', closeOverlay);
document.addEventListener('keydown', function(event) {
    if (event.key === 'Escape') {
        closeOverlay();
    }
});

function copyToClipboard(button) {
    const codeBlock = button.previousElementSibling;
    const text = codeBlock.textContent;
    const input = document.createElement("textarea");
    input.value = text;
    document.body.appendChild(input);
    input.select();
    document.execCommand("copy");
    document.body.removeChild(input);

    button.textContent = 'Copied';
    setTimeout(() => {
        button.textContent = 'Copy';
    }, 2000);
}

document.addEventListener('DOMContentLoaded', function() {
    var links = document.querySelectorAll('.menu a');
    links.forEach(function(link) {
        link.addEventListener('click', function() {
            // Close the entire menu
            var menu = document.querySelector('.menu');
            menu.classList.remove('active');
        });
    });
});
